diagnostics.deSolve {deSolve} | R Documentation

## Print Diagnostic Characteristics of ODE and DAE Solvers

### Description

Prints several diagnostics of the simulation to the screen, e.g. number of steps taken, the last step size, ...

### Usage

    ## S3 method for class 'deSolve'
    diagnostics(obj, Full = FALSE, ...)

### Arguments

`obj` | is the output matrix as produced by one of the integration routines.
`Full` | when `TRUE` then all messages will be printed, including the ones that are not relevant for the solver. If `FALSE`, then only the relevant messages will be printed.
`...` | optional arguments allowing to extend `diagnostics` as a generic function.

### Details

When the integration output is saved as a `data.frame`, then the required attributes are lost and method `diagnostics` will not work anymore.

### Value

The integer and real vector with diagnostic values; for function `lsodar` also the root information.

See tables 2 and 3 in vignette("deSolve") for what these vectors contain.

Note: the number of function evaluations are *without* the extra calls performed to generate the ordinary output variables (if present).

### Examples

    ## The famous Lorenz equations: chaos in the earth's atmosphere
    ## Lorenz 1963. J. Atmos. Sci. 20, 130-141.

    chaos <- function(t, state, parameters) {
      with(as.list(c(state)), {

        dx     <- -8/3 * x + y * z
        dy     <- -10 * (y - z)
        dz     <- -x * y + 28 * y - z

        list(c(dx, dy, dz))
      })
    }

    state <- c(x = 1, y = 1, z = 1)
    times <- seq(0, 50, 0.01)
    out   <- vode(state, times, chaos, 0)
    pairs(out, pch = ".")
    diagnostics(out)

[Package deSolve version 1.24 Index]